<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="favicon.svg" sizes="any" type="image/svg+xml">
    <title>webgl2 fluid simulation</title>

    <style>
      body {
        position: fixed;
        inset: 0;
        margin: 0;
      }
      #fluidsim_canvas {
        width: 100%;
        height: 100%;
        touch-action: none;
      }
      #param_form {
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        font-size: small;
        bottom: 0;
        right: 0;
        padding: 1em;
        background-color: rgba(0, 0, 0, 0.5);
        color: white;
      }
      #param_form > div {
        display: flex;
        align-items: center;
        gap: 0.5em;
      }
      #display_radio {
        border: 0;
        display: flex;
        gap: 1em;
      }
      a {
        color: white;
        margin: 0.5em auto;
        font-size: medium;
      }
    </style>

  </head>
  <body>
    <form id="param_form">
      <a href="https://github.com/loicmagne/webgl2_fluidsim/" target="_blank">github</a>
      <div>
        <label for="pressure">viscosity</label>
        <input type="range" min="0.0" max="1.0" step="0.001" value="0.25" class="slider" id="viscosity">
      </div>
      <div>
        <label for="pressure">pressure</label>
        <input type="range" min="0.0" max="1.0" step="0.001" value="0.25" class="slider" id="pressure">
      </div>
      <div>
        <label for="radius">radius</label>
        <input type="range" min="0.0" max="1.0" step="0.01" value="0.5" class="slider" id="radius">
      </div>
      <div>
        <label for="velocity_dissipation">velocity dissipation</label>
        <input type="range" min="0.0" max="1.0" step="0.001" value="0.25" class="slider" id="velocity_dissipation">
      </div>
      <div>
        <label for="density_dissipation">density dissipation</label>
        <input type="range" min="0.0" max="1.0" step="0.001" value="0.5" class="slider" id="density_dissipation">
      </div>
      <fieldset id="display_radio">
        <div>
          <input type="radio" id="dye" name="display" value="dye" checked>
          <label for="dye">dye</label>
        </div>
    
        <div>
          <input type="radio" id="velocity" name="display" value="velocity">
          <label for="velocity">velocity</label>
        </div>
    
        <div>
          <input type="radio" id="display_pressure" name="display" value="pressure">
          <label for="display_pressure">pressure</label>
        </div>
      </fieldset>
    </form>
    <canvas id="fluidsim_canvas" style="background-color: black;" ></canvas>
    <script src="/socket.io/socket.io.js"></script>
    <script src="/script.js"></script>
  </body>
</html>
